<?xml version="1.0"?>
<xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
               xmlns:xlf="urn:oasis:names:tc:xliff:document:2.0"
               version="2.0">
  <xsl:output method="xml" indent="yes" encoding="utf-8" />
  <xsl:strip-space elements="*" />
  <xsl:template match="node()|@*">
    <xsl:copy>
      <xsl:apply-templates select="@*|node()" />
    </xsl:copy>
  </xsl:template>
  <xsl:template match="xlf:group">
    <xsl:element name="{@name}">
      <xsl:for-each select="xlf:notes/xlf:note">
        <xsl:variable name="at-name"
                      select="substring-after(@category,'_')" />
        <xsl:variable name="at-val" select="." />
        <xsl:attribute name="{$at-name}">
          <xsl:value-of select="$at-val" />
        </xsl:attribute>
      </xsl:for-each>
      <xsl:apply-templates />
    </xsl:element>
  </xsl:template>
  <xsl:template match="xlf:unit">
    <xsl:element name="{@name}">
      <xsl:apply-templates />
    </xsl:element>
  </xsl:template>
  <xsl:template
      match="*[not(local-name()='unit') and not(local-name()='group')]">

    <xsl:apply-templates />
  </xsl:template>
  <xsl:template match="xlf:notes" priority="3" />
</xsl:transform>
