<?xml version="1.0"?>
<xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
               xmlns:svg="http://www.w3.org/2000/svg" version="2.0">
  <xsl:output method="xml" indent="yes" encoding="utf-8" />
  <xsl:strip-space elements="*" />
  <xsl:variable name="file"
                select="concat('svg-skeleton-',generate-id(),'.txt')" />
  <xsl:template match="node()|@*">
    <xsl:copy>
      <xsl:apply-templates select="@*|node()" />
    </xsl:copy>
  </xsl:template>
  <xsl:template match="node()|@*" mode="skl">
    <xsl:copy>
      <xsl:apply-templates select="@*|node()" mode="skl" />
    </xsl:copy>
  </xsl:template>
  <xsl:template match="*[local-name()='svg']">
    <xsl:result-document href="{$file}">
      <svg xmlns="http://www.w3.org/2000/svg">
        <xsl:apply-templates select="node()|@*" mode="skl" />
      </svg>
    </xsl:result-document>
    <xliff xmlns="urn:oasis:names:tc:xliff:document:2.0"
           version="2.0" srcLang="en">
      <file original="my.svg" id="{generate-id()}">
        <skeleton href="{$file}" />
        <xsl:for-each select="//svg:tspan">
          <unit id="{count(preceding::*[local-name()='tspan'])}">
            <segment>
              <source>
                <xsl:apply-templates />
              </source>
            </segment>
          </unit>
        </xsl:for-each>
      </file>
    </xliff>
  </xsl:template>
  <xsl:template match="svg:tspan" mode="skl">
    <tspan xmlns="http://www.w3.org/2000/svg"
           idref="{count(preceding::*[local-name()='tspan'])}">
      <xsl:text>%%%</xsl:text>
    </tspan>
  </xsl:template>
</xsl:transform>
